Reload Config
Reload the agent configuration from the manager or a file.
The optional _auth dependency consults
app.state.reload_auth (configured via create_app(reload_auth=...))
and, if set, invokes it. The configured callable is responsible for
raising :class:fastapi.HTTPException to deny the request.
POST
/
reload
Reload Config
curl --request POST \
--url https://api.example.com/reload \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>"
}
'import requests
url = "https://api.example.com/reload"
payload = { "path": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>'})
};
fetch('https://api.example.com/reload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Body
application/json
Request body for reload endpoint.
Response
Successful Response
Last modified on May 22, 2026
Was this page helpful?
⌘I
Reload Config
